### Signal

# Vips Image::invalidate

#### Declaration

    void
    invalidate (
      VipsImage* self,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when an image or one of it’s upstream data sources has been destructively modified. See `vips_image_invalidate_all()`.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Signal can be directly emitted on objects from user code